
Core - Bug # 25409

Status: Closed Priority: Should have
Author: Tolleiv Nietsch Category: Workspaces
Created: 2011-03-28 Assigned To:
Updated: 2013-09-17 Due date:
TYPO3 Version: 4.4
PHP Version: 5.3
Complexity:
Is Regression: No
Sprint Focus:
Subject: t3lib_iconWorks::getSpriteIconForRecord() isn't workspace aware
Description

t3lib_iconWorks::getSpriteIconForRecord() doesn't detect elements deleted in a workspace (indicated with t3ver_state=2). Therefore
elements deleted in a workspace will still keep their "original" icon

(issue imported from #M18054)

Related issues:
duplicated by Core - Bug # 25372: PHP Catchable Fatal Error: t3lib_iconWorks:... Closed 2011-03-22

History
#1 - 2011-09-07 15:31 - Fedir RYKHTIK
- Target version deleted (0)

Looks like this issue is related to #25372, there are bugs with t3lib_iconWorks::getSpriteIconForRecord() in workspaces

#2 - 2013-09-17 17:45 - Ernesto Baschny
- Is Regression set to No

The problem is most probably not in getSpriteIconForRecord, but must be in the code around it, that assumes that there is a record when there is not.
Thanks to the type hinting of getSpriteIconForRecord we get at least to see some sort of error here, indicating that something is wrong. Remains to be
further analysed.

#3 - 2013-09-17 17:48 - Ernesto Baschny
- Category set to Workspaces
- Status changed from New to Closed

Duplicate of #25372 (also workspaces related).
